VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
StringListControlDrawer::Impl Struct Reference

## Public Attributes
Func | func
SharedPointer< CFontDesc > | font {kNormalFont}
CColor | fontColor {kBlackCColor}
CColor | fontColorSelected {kWhiteCColor}
CColor | backColor {kWhiteCColor}
CColor | backColorSelected {kBlueCColor}
CColor | hoverColor {MakeCColor (0, 0, 0, 100)}
CColor | lineColor {kBlackCColor}
CCoord | lineWidth {1.}
CCoord | textInset {5.}
CHoriTxtAlign | textAlign {kLeftText}

## Member Data Documentation

## ◆ backColor

CColor backColor {kWhiteCColor}

## ◆ backColorSelected

CColor backColorSelected {kBlueCColor}

## ◆ font

SharedPointer<CFontDesc> font {kNormalFont}

## ◆ fontColor

CColor fontColor {kBlackCColor}

## ◆ fontColorSelected

CColor fontColorSelected {kWhiteCColor}

## ◆ func

Func func

## ◆ hoverColor

CColor hoverColor {MakeCColor (0, 0, 0, 100)}

## ◆ lineColor

CColor lineColor {kBlackCColor}

## ◆ lineWidth

CCoord lineWidth {1.}

## ◆ textAlign

CHoriTxtAlign textAlign {kLeftText}

## ◆ textInset

CCoord textInset {5.}

The documentation for this struct was generated from the following file:

- cstringlist.cpp